Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation
Class MarshallingInvokerInterceptor

    java.lang.Object
      org.jboss.proxy.Interceptor
          org.jboss.invocation.InvokerInterceptor
              org.jboss.invocation.MarshallingInvokerInterceptor

All Implemented Interfaces:
  Externalizable, Serializable

public class MarshallingInvokerInterceptor
extends InvokerInterceptor

An InvokerInterceptor that does not optimize in VM invocations

Version:
  $Revision: 1.3.6.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.invocation.InvokerInterceptor
`localInvoker, remoteInvoker`

Fields inherited from class org.jboss.proxy.Interceptor
`nextInterceptor`

Constructor Summary
`MarshallingInvokerInterceptor()`

Method Summary
`Object` | `invoke(Invocation invocation)` Use marshalled invocations when the target is colocated.

Methods inherited from class org.jboss.invocation.InvokerInterceptor
`getLocal, invokeInvoker, invokeLocal, invokeMarshalled, isLocal, isLocal, readExternal, setLocal, writeExternal`

Methods inherited from class org.jboss.proxy.Interceptor
`getNext, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarshallingInvokerInterceptor

    public MarshallingInvokerInterceptor()

Method Detail

### invoke

    public Object invoke(Invocation invocation)
                  throws Exception

  Use marshalled invocations when the target is colocated.

  Overrides:
    `invoke` in class `InvokerInterceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.